classification
Title: mark more tests as CPython specific
Type: behavior Stage: needs patch
Components: Tests Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, amaury.forgeotdarc, benjamin.peterson, eric.araujo, georg.brandl, holdenweb, pitrou, pjenvey, rhettinger
Priority: normal Keywords:

Created on 2010-09-30 15:48 by amaury.forgeotdarc, last changed 2014-06-28 03:19 by rhettinger. This issue is now closed.

Messages (7)
msg117746 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2010-09-30 15:48
When porting pypy to 2.7, we found that many tests actually exercise features specific to CPython, either the garbage collector, or the precise memory layout (__sizeof__).
They should be marked as such, and skipped when run with pypy.
msg117755 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-09-30 18:25
This seems rather open-ended and all-encompassing. Wouldn't it be better to have individual issues for specific tests?
msg117773 - (view) Author: Steve Holden (holdenweb) * (Python committer) Date: 2010-10-01 01:53
Of course, but better some record than none due to the overwhelming nature of the task. At least someone else can carry the torch from here.
msg117783 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-10-01 10:52
Do you want to volunteer, Steve? ;)
msg125264 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-01-04 00:45
Patch?
msg221713 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-27 19:27
How is pypy supporting Python 3.2.5 without this being done?  Or has it been done but perhaps documented elsewhere?
msg221770 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2014-06-28 03:19
Closing this unless some specifics arise.
History
Date User Action Args
2014-06-28 03:19:01rhettingersetstatus: open -> closed

nosy: + rhettinger
messages: + msg221770

resolution: out of date
2014-06-27 21:02:13ned.deilysetnosy: + pjenvey
2014-06-27 19:27:39BreamoreBoysetnosy: + BreamoreBoy

messages: + msg221713
versions: + Python 3.4, Python 3.5, - Python 3.1, Python 3.2
2011-01-04 00:45:24pitrousetnosy: + pitrou
messages: + msg125264
2010-10-24 17:30:32eric.araujosetversions: + Python 3.1, Python 2.7, Python 3.2
nosy: + eric.araujo

components: + Tests
type: behavior
stage: needs patch
2010-10-01 10:52:31georg.brandlsetnosy: + georg.brandl
messages: + msg117783
2010-10-01 01:53:15holdenwebsetnosy: + holdenweb
messages: + msg117773
2010-09-30 18:25:41benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg117755
2010-09-30 15:48:14amaury.forgeotdarccreate